<?
	/*****
	 * 설정에 관련된 값들을 정의 한다.
	 *****/

	### FTP
	$_FTP_USER = 'dbntech';

	### Database
    $_DB_USER = 'dbntech';
    $_DB_PASS = 'dbntech008))';
    $_DB_HOST = 'db.pmson.com';
    $_DB_NAME = 'dbntech';

    $_DSN     = "mysql://$_DB_USER:$_DB_PASS@$_DB_HOST/$_DB_NAME";

    define("_DSN", $_DSN);


	$_tmp = posix_getpwuid ( fileowner ( __file__ ) );
	if($_tmp['name'] != $_FTP_USER){echo "계정을 확인하세요.";exit;}

	//// 현재 시간 설정
	define("_NowTime",date("Y-m-d H:i:s"));

	/**
	* 테이블 목록
	*/

	# 사이트 기본정보
	DEFINE("TABLE_BASIC",        "{$_DB_NAME}.basic"); // 기본정보

	# 회원테이블
	DEFINE("TABLE_USER",           "{$_DB_NAME}.user"); // 회원정보
	
	# 게시판 테이블
	DEFINE("TABLE_BOARD_CONFIG", "{$_DB_NAME}.board_config"); // 게시판 설정
	DEFINE("TABLE_BOARD",        "{$_DB_NAME}.board"); // 게시판
	DEFINE("TABLE_BOARD_FILE",   "{$_DB_NAME}.board_file"); // 게시판 첨부파일
	DEFINE("TABLE_BOARD_VOTE",   "{$_DB_NAME}.board_vote"); // 게시글 추천

	# 문의 테이블
	DEFINE("TABLE_CONTACT",   "{$_DB_NAME}.contact"); // 문의
	
	# 팝업 테이블
	DEFINE("TABLE_POPUP",   "{$_DB_NAME}.popup"); // 팝업

	#배너테이블
	DEFINE("TABLE_BANNER",   "{$_DB_NAME}.banner"); // 배너관리

	#연혁테이블
	DEFINE("TABLE_HISTORY",   "{$_DB_NAME}.history"); // 회사연혁
	DEFINE("TABLE_HISTORY_LIST",   "{$_DB_NAME}.history_list"); // 회사연혁

	$_REGEXP = "/^[a-z]{1}[a-z0-9]{3,19}$/";
	DEFINE("_REGEXP",   $_REGEXP); // 아이디 정규식 (소문자로 시작하는 4~20 자리의 아이디)
	
	/// 보안 키 설정
	$SECURE_KEY = "6VT65l8vSb8SkEfI4uCK9ViLYQ4McL7NVtqz2UwMEGTfaNlZFQruCD1888mRcZXJ9vWj1ZP65U3h9H1FNy1CrC4Aq4JF58625UYHbAdbCxTo6jb43j3Z18zhZo8Hr7LrF47FK8e3bKblO2A7o9ZLM6SB81WIRtv6U8Q81ZK3A58keE1bDweVbdTKcpGVt6yA2kvWYZq5C5U2KEn42K5v276Cv444c4Q7P9XY9EPImOXnCl3SA8D1Gzu29y3o5zCA";
	
	define("SECURE_KEY", $SECURE_KEY);

	if (phpversion () < "5"){ // define PHP5 functions if server uses PHP4
		function array_combine($arr1, $arr2) {
			$out = array();

			$arr1 = array_values($arr1);
			$arr2 = array_values($arr2);

			foreach($arr1 as $key1 => $value1) {
				$out[(string)$value1] = $arr2[$key1];
			}

			return $out;
		}
	}

	$_CODE = array(
		"1" => array( // 회원 등급
			"1" => "관리자",
			//"3" => "직원",
			//"5" => "정회원",
			//"7" => "준회원",
			"10" => "탈퇴/비회원"
		),
		"2" => array(
			"Y" => "예",
			"N" => "아니요"
		),
		"3" => array(
			"0" => "출력안함",
			"1" => "셀렉트박스",
			"2" => "이미지",
			"3" => "텍스트"
		),
		//이메일
		"5" => array(
			"1" => "naver.com",
			"2" => "nate.com",
			"3" => "hanmail.net",
			"4" => "gmail.com",
			"5" => "paran.com",
			"6" => "freechal.com",
			"7" => "hotmail.com",
			"8" => "lycos.com",
			"9" => "netsgo.com",
			"10" => "empas.com",
			"11" => "empal.com",
			"12" => "yahoo.co.kr",
			"13" => "dreamwiz.co.kr",
			"15" => "Direct input"
		),
		
		//연락처
		"6" => array(
			"1" => array(
				"1" => "010",
				"2" => "011",
				"3" => "016",
				"4" => "017",
				"5" => "018",
				"6" => "019"
			),
			"2" => array(
				"1" => "010",
				"2" => "011",
				"3" => "016",
				"4" => "017",
				"5" => "018",
				"6" => "019",
				"7" => "070",
				"8" => "02",
				"9" => "031",
				"10" => "032",
				"11" => "033",
				"12" => "041",
				"13" => "042",
				"14" => "043",
				"15" => "051",
				"16" => "052",
				"17" => "053",
				"18" => "054",
				"19" => "055",
				"20" => "061",
				"21" => "062",
				"22" => "063",
				"23" => "064"
			)
		),


		"9" => array(
			"N" => "미확인",
			"I" => "처리완료",
		),

	);

	//게시판 코드
	$_BOARD_CONFIG_CODE = array(

		"1" => array( // 게시판 권한
			"1" => "관리자",
			//"3" => "직원",
			//"5" => "정회원",
			//"7" => "준회원",
			"10" => "탈퇴/비회원"
		),
		"2" => array(
			"Y" => "예",
			"N" => "아니요"
		),
		"3" => array(	//카테고리 출력여부
			"0" => "출력안함",
			"1" => "셀렉트박스",
			"2" => "이미지",
			"3" => "텍스트"
		),
		"4" => array(	//게시판 정렬
			"1" => "가운데",
			"2" => "왼쪽",
			"3" => "오른쪽"
		)

	);

	define('G5_STRING_ENCRYPT_FUNCTION', 'sql_password');

	# URL 및 경로 설정
	$_ServerRoot = $_SERVER["DOCUMENT_ROOT"];
	$_BASE_PATH = $_SERVER["DOCUMENT_ROOT"]."/";
	$_PDS = $_BASE_PATH."pds/";
	$_BASIC_HOME_URL = $_SERVER["HTTP_HOST"];
	$max_w = 1140;

	define("_BASE_PATH", $_BASE_PATH);
	define("_PDS", $_PDS);

	define("_UPLOAD_SIZE", 5);		 // 파일 업로드 제한 용량(MB)
	define("_MAX_W", $max_w);		 // 이미지 가로 사이즈

	# URL 설정
	define("_BASIC_HOME_URL", "http://".$_BASIC_HOME_URL); # homepage URL
	define("_MAIL_IMG_URL", _BASIC_HOME_URL."/img/mail"); # 메일 이미지 URL

	# 게시물 목록수
	DEFINE("BOARD_LIST_NUM", 20);

	# 게시판 페이징 버튼

	DEFINE("BOARD_FIRST_IMG","/img/board/ll.png"); // 처음으로
	DEFINE("BOARD_LAST_IMG", "/img/board/rr.png"); // 끝으로
	DEFINE("BOARD_PREV_IMG", "/img/board/l.png"); // 이전
	DEFINE("BOARD_NEXT_IMG", "/img/board/r.png"); // 다음
?>
